> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment metrics



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/external/inference/{deployment_id}/metrics
openapi: 3.1.0
info:
  title: Lyceum Cloud Execution API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v2/external/inference/{deployment_id}/metrics:
    get:
      tags:
        - Dedicated Inference
      summary: Get deployment metrics
      operationId: >-
        get_inference_deployment_metrics_api_v2_external_inference__deployment_id__metrics_get
      parameters:
        - name: deployment_id
          in: path
          required: true
          schema:
            type: string
            title: Deployment Id
        - name: start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: ISO 8601 start timestamp (defaults to 1h ago)
            title: Start
          description: ISO 8601 start timestamp (defaults to 1h ago)
        - name: end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: ISO 8601 end timestamp (defaults to now)
            title: End
          description: ISO 8601 end timestamp (defaults to now)
        - name: step
          in: query
          required: false
          schema:
            type: string
            description: Query resolution (e.g., '15s', '1m')
            default: 15s
            title: Step
          description: Query resolution (e.g., '15s', '1m')
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InferenceDeploymentMetricsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InferenceDeploymentMetricsResponse:
      properties:
        deploymentId:
          type: string
          title: Deploymentid
        timeRange:
          $ref: '#/components/schemas/TimeRange'
        replicaHealth:
          items:
            $ref: '#/components/schemas/ReplicaHealthSeries'
          type: array
          title: Replicahealth
        requestsPerSecond:
          items:
            $ref: '#/components/schemas/MetricDataPoint'
          type: array
          title: Requestspersecond
        p50LatencyMs:
          items:
            $ref: '#/components/schemas/MetricDataPoint'
          type: array
          title: P50Latencyms
        p95LatencyMs:
          items:
            $ref: '#/components/schemas/MetricDataPoint'
          type: array
          title: P95Latencyms
      type: object
      required:
        - deploymentId
        - timeRange
        - replicaHealth
        - requestsPerSecond
        - p50LatencyMs
        - p95LatencyMs
      title: InferenceDeploymentMetricsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TimeRange:
      properties:
        start:
          type: string
          title: Start
        end:
          type: string
          title: End
      type: object
      required:
        - start
        - end
      title: TimeRange
      description: Time range for the metrics query.
    ReplicaHealthSeries:
      properties:
        replicaId:
          type: string
          title: Replicaid
        values:
          items:
            $ref: '#/components/schemas/MetricDataPoint'
          type: array
          title: Values
      type: object
      required:
        - replicaId
        - values
      title: ReplicaHealthSeries
    MetricDataPoint:
      properties:
        timestamp:
          type: string
          title: Timestamp
        value:
          type: number
          title: Value
      type: object
      required:
        - timestamp
        - value
      title: MetricDataPoint
      description: Single metric data point with timestamp and value.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````